import java.awt.Dimension;
import java.awt.GridLayout;

import javax.swing.JComponent;
import javax.swing.JFrame;

import valeurs.ValeurNegativeException;
import valeurs.Valeurs;
import valeurs.ValeursImpl;
import valeurs.ValeursObservables;
import vue.HistogrammeObserver;
import vue.TextFields;

public class Test {
	public static void main(String[] args) throws ValeurNegativeException, InterruptedException {
		Valeurs v = new ValeursImpl(1., 2., 3.);
		ValeursObservables vo = new ValeursObservables(v);
		JFrame f = new JFrame("Histogramme");
		f.setLayout(new GridLayout(1, 2));
		TextFields tf = new TextFields(vo);
		f.add(tf);
		JComponent h = new HistogrammeObserver(vo);
		f.add(h);
		f.setPreferredSize(new Dimension(200, 200));
		f.setLocationRelativeTo(null);
		f.pack();
		f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		f.setVisible(true);
	}
}
